WebActionContext (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain.contexts
Class WebActionContext

    java.lang.Object
      org.apache.struts.chain.contexts.ContextWrapper
          org.apache.struts.chain.contexts.ActionContextBase
              org.apache.struts.chain.contexts.WebActionContext

All Implemented Interfaces:
  Map, org.apache.commons.chain.Context, ActionContext

Direct Known Subclasses:
  ServletActionContext

    public class WebActionContext

extends ActionContextBase

Provide a Subclass of ActionContextBase which is understood to be wrapping an instance of `org.apache.commons.chain.web.WebContext`.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Field Summary

Fields inherited from class org.apache.struts.chain.contexts.ActionContextBase
`ACTION_CONFIG_KEY, ACTION_FORM_KEY, ACTION_KEY, CANCEL_KEY, ERROR_ACTION_MESSAGES_KEY, EXCEPTION_KEY, FORWARD_CONFIG_KEY, INCLUDE_KEY, LOCALE_KEY, MESSAGE_ACTION_MESSAGES_KEY, MESSAGE_RESOURCES_KEY, MODULE_CONFIG_KEY, token, TOKEN_KEY, TRANSACTION_TOKEN_KEY, VALID_KEY`

Fields inherited from interface org.apache.struts.chain.contexts.ActionContext
`APPLICATION_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Constructor Summary
`WebActionContext(org.apache.commons.chain.web.WebContext context)` Instantiate this composite by wrapping an instance of WebContext.

Method Summary
`Map` | `getApplicationScope()` Return a `Map` of Application scoped values.
`Boolean` | `getCancelled()` Indicate if the "cancel event" state is set for for this context,
`Map` | `getHeader()` Return an immutable Map that maps header names to the first (or only) header value (as a String).
`Map` | `getHeaderValues()` Return an immutable Map that maps header names to the set of all values specified in the request (as a String array).
`Map` | `getInitParam()` Return an immutable Map that maps context application initialization parameters to their values.
`ModuleConfig` | `getModuleConfig()` Get the ModuleConfig which is operative for the current request.
`Map` | `getParam()` Return a map whose keys are `String` request parameter names and whose values are `String` values.
`Map` | `getParameterMap()` Return a `Map` of parameters submitted by the user as part of this request.
`Map` | `getParamValues()` Return a map whose keys are `String` request parameter names and whose values are `String[]` values.
`Map` | `getRequestScope()` Return a `Map` of request scoped values.
`Map` | `getSessionScope()` Return a `Map` of Session scoped values.
`void` | `release()` Signal to the instance that it will not be used any more, so that any resources which should be cleaned up can be cleaned up.
`void` | `setCancelled(Boolean cancelled)` Set the "cancel event" state for this context.
`void` | `setModuleConfig(ModuleConfig moduleConfig)` Set the ModuleConfig which is operative for the current request.
`protected org.apache.commons.chain.web.WebContext` | `webContext()` Provide the wrapped WebContext for this composite.

Methods inherited from class org.apache.struts.chain.contexts.ActionContextBase
`addActionMessages, addErrors, addMessages, findOrCreateActionForm, findOrCreateActionForm, generateToken, getAction, getActionConfig, getActionForm, getErrors, getException, getFormValid, getForwardConfig, getInclude, getLocale, getLogger, getMessageResources, getMessageResources, getMessages, getScope, getTokenGeneratorId, isTokenValid, isTokenValid, resetToken, saveActionMessages, saveActionMessages, saveErrors, saveMessages, saveMessages, saveToken, setAction, setActionConfig, setActionForm, setException, setFormValid, setForwardConfig, setInclude, setLocale, setLogger, setMessageResources`

Methods inherited from class org.apache.struts.chain.contexts.ContextWrapper
`clear, containsKey, containsValue, entrySet, get, getBaseContext, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### WebActionContext

    public WebActionContext(org.apache.commons.chain.web.WebContext context)

  Instantiate this composite by wrapping an instance of WebContext.

  Parameters:
    `context` - The WebContext to wrap

Method Detail

### webContext

    protected org.apache.commons.chain.web.WebContext webContext()

  Provide the wrapped WebContext for this composite.

  Returns:
    The wrapped WebContext

### release

    public void release()

  Description copied from interface: `ActionContext`
  Signal to the instance that it will not be used any more, so that any resources which should be cleaned up can be cleaned up.

  Specified by:
    `release` in interface `ActionContext`
  Overrides:
    `release` in class `ActionContextBase`

### getHeader

    public Map getHeader()

  Return an immutable Map that maps header names to the first (or only) header value (as a String).

  Returns:
    A immutable Map of web request header names

### getHeaderValues

    public Map getHeaderValues()

  Return an immutable Map that maps header names to the set of all values specified in the request (as a String array). Header names must be matched in a case-insensitive manner.

  Returns:
    An immutable Map of web request header values

### getInitParam

    public Map getInitParam()

  Return an immutable Map that maps context application initialization parameters to their values.

  Returns:
    An immutable Map of web context initialization parameters

### getParam

    public Map getParam()

  Return a map whose keys are `String` request parameter names and whose values are `String` values.

  For parameters which were submitted with more than one value, only one value will be returned, as if one called `ServletRequest.getParameter(String)`

  Returns:
    A map of web request parameters

### getParamValues

    public Map getParamValues()

  Return a map whose keys are `String` request parameter names and whose values are `String[]` values.

  Returns:
    A map of web request parameter values (as an array)

### getApplicationScope

    public Map getApplicationScope()

  Description copied from interface: `ActionContext`

  Return a `Map` of Application scoped values.

  This is implemented in analogy with the Application scope in the Servlet API, but it seems reasonable to expect that any Struts implementation will have an equivalent concept.

  The ultimate meaning of "application scope" is an implementation detail left unspecified by Struts.

  Specified by:
    `getApplicationScope` in interface `ActionContext`
  Specified by:
    `getApplicationScope` in class `ActionContextBase`
  Returns:
    A Map of "application scope" attributes.

### getRequestScope

    public Map getRequestScope()

  Description copied from interface: `ActionContext`

  Return a `Map` of request scoped values. A request is understood as the fundamental motivation for any particular instance of an `ActionContext`.

  This is implemented in analogy with the Request Context in the Servlet API, but it seems reasonable to expect that any Struts implementation will have an equivalent concept.

  The ultimate meaning of "request scope" is an implementation detail left unspecified by Struts.

  Specified by:
    `getRequestScope` in interface `ActionContext`
  Specified by:
    `getRequestScope` in class `ActionContextBase`
  Returns:
    a Map of "request scope" attributes.

### getParameterMap

    public Map getParameterMap()

  Description copied from interface: `ActionContext`

  Return a `Map` of parameters submitted by the user as part of this request. The keys to this map will be request parameter names (of type `String`), and the values will be `String[]`.

  This is implemented in analogy with the Request parameters of the Servlet API, but it seems reasonable to expect that any Struts implementation will have an equivalent concept.

  Returns:
    A map of the request parameter attributes

### getSessionScope

    public Map getSessionScope()

  Description copied from interface: `ActionContext`

  Return a `Map` of Session scoped values. A session is understood as a sequence of requests made by the same user.

  This is implemented in analogy with the Session scope in the Servlet API, but it seems reasonable to expect that any Struts implementation will have an equivalent concept.

  The ultimate meaning of "session scope" is an implementation detail left unspecified by Struts.

  Specified by:
    `getSessionScope` in interface `ActionContext`
  Specified by:
    `getSessionScope` in class `ActionContextBase`
  Returns:
    A Map of "session scope" attributes.

### setModuleConfig

    public void setModuleConfig(ModuleConfig moduleConfig)

  Description copied from interface: `ActionContext`

  Set the ModuleConfig which is operative for the current request.

  Specified by:
    `setModuleConfig` in interface `ActionContext`
  Overrides:
    `setModuleConfig` in class `ActionContextBase`
  Parameters:
    `moduleConfig` - The ModuleConfig to be used with this request

### getModuleConfig

    public ModuleConfig getModuleConfig()

  Description copied from interface: `ActionContext`

  Get the ModuleConfig which is operative for the current request.

  Specified by:
    `getModuleConfig` in interface `ActionContext`
  Overrides:
    `getModuleConfig` in class `ActionContextBase`
  Returns:
    The MooduleConfig being used with this request
  See Also:
    `ActionContext.getModuleConfig()`

### setCancelled

    public void setCancelled(Boolean cancelled)

  Description copied from interface: `ActionContext`

  Set the "cancel event" state for this context.

  Specified by:
    `setCancelled` in interface `ActionContext`
  Overrides:
    `setCancelled` in class `ActionContextBase`
  Parameters:
    `cancelled` - On true, set the cancel event state to true. On false, set the cancel event state to false.
  See Also:
    `ActionContextBase.CANCEL_KEY`

### getCancelled

    public Boolean getCancelled()

  Description copied from interface: `ActionContext`

  Indicate if the "cancel event" state is set for for this context,

  Specified by:
    `getCancelled` in interface `ActionContext`
  Overrides:
    `getCancelled` in class `ActionContextBase`
  See Also:
    `ActionContextBase.CANCEL_KEY`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.